Description

In Debian, stable (wheezy) ships with Puppet 2.7.18. I was attempting to set up the installer on Debian/sid, which ships with 3.2.4

(3.3.0 soon). The installer, when run, changes the link in /etc/apt/sources.list.d/foreman.list from

deb http://deb.theforeman.org/ wheezy stable

to

deb http://deb.theforeman.org/ sid stable

which does not exist, causing the installer to fail. Is it possible to create a dists file for sid, even if it only points back to wheezy? I am

guessing that the packages will work on sid as easily as on wheezy.

Thanks,

--b

History

#1 - 09/16/2013 09:39 AM - Greg Sutcliffe

- Status changed from New to Assigned

- Assignee set to Greg Sutcliffe

It's probably doable. The debs are undergoing major work in the next few months (feel free to get invlolved :P) so hopefully we can do this. It's not

quite a symlink due to how Freight works, but I'm sure it can be solved.

#2 - 09/16/2013 09:41 AM - Greg Sutcliffe

It's also worth mentioning that in 1.3 onwards (from rc2 onwards, actually) the installer will default to not managing your sources.list(.d/*) files so you'll

be able to use the wheezy source location fine anyway...

#3 - 11/06/2013 01:16 PM - Greg Sutcliffe

@Brad: Now that 1.3 is out and the apt sources don't get altered by default in the installer, I think this is effectively resolved - care to test?

#4 - 11/06/2013 02:44 PM - Brad Alexander

I tested it when 1.3 was in beta, and it did install. I concur that the problem is resolved, though I have been overcome by events at work, and have not

had time to do more with foreman.

#5 - 05/17/2017 04:04 PM - Anonymous

- Status changed from Assigned to Rejected

we only support released Debian versions.
